Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.util.io
Class ASCII85InputStream

    java.lang.Object
      java.io.InputStream
          org.apache.xmlgraphics.util.io.ASCII85InputStream

All Implemented Interfaces:
  Closeable, ASCII85Constants

    public class ASCII85InputStream

extends InputStream
implements ASCII85Constants

This class applies a ASCII85 decoding to the stream.

The class is derived from InputStream instead of FilteredInputStream because we can use the read(byte[], int, int) method from InputStream which simply delegates to read(). This makes the implementation easier.

The filter is described in chapter 3.13.3 of the PostScript Language Reference (third edition).

Version:
  $Id: ASCII85InputStream.java 1610846 2014-07-15 20:44:18Z vhennebert $

Field Summary

Fields inherited from interface org.apache.xmlgraphics.util.io.ASCII85Constants
`END, EOD, EOL, POW85, START, ZERO, ZERO_ARRAY`

Constructor Summary
`ASCII85InputStream(InputStream in)`

Method Summary
`int` | `read()`

Methods inherited from class java.io.InputStream
`available, close, mark, markSupported, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASCII85InputStream

    public ASCII85InputStream(InputStream in)

See Also:
  `FilterInputStream`

Method Detail

### read

    public int read()
             throws IOException

  Specified by:
    `read` in class `InputStream`
  Throws:
    `IOException`
  See Also:
    `FilterInputStream`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.